
//======================================================
class Action extends TreeNode {
//======================================================


    //---------------------------------------------------
    onInit() {
    //---------------------------------------------------
    return;
  }
    //---------------------------------------------------
    run(){
    //---------------------------------------------------
        console.log("run",this);
        this.onRun();

    }
    //---------------------------------------------------
    onRun(){
    //---------------------------------------------------
        var lst=this.by_class(Action);
        for (const child in lst) {
        var node=lst[child] ;
         node.run();
        } 
    }
    //---------------------------------------------------
}
//======================================================
